#!/bin/python3

from toargridding.variables import Coordinate
from toargridding.metadata import Coordinates
import numpy as np
from pandas import Series
from toargridding.grids import RegularGrid
import matplotlib.pyplot as plt

print("Script for visual inspection of coordinate results for longitude and latitude")

lon = Coordinate.from_resolution(Coordinates.longitude, 1,-180,180, True)
print(lon)

print("\n")

lat = Coordinate.from_resolution(Coordinates.latitude, 1.9,-90,90, False)
print(lat)

testGrid = RegularGrid(lat_resolution=1.9, lon_resolution=2.5)

testData = [x+0.1 for x in np.arange(-180,181, .5)]
testBins = testGrid.coord_to_index(Series(testData), lon.min, lon.step, len(lon.data) )

for val, bin in zip(testData, testBins):
    print(val, "->", bin)


plt.plot(testData, testBins)
plt.show()